/* rom.h  Range of Motion simulation of artifical hip implant
          Physical Based Simulation, ETH Zuerich
          Rene Mueller  June 15th, 2003
 */

#ifndef _ROM_H_
#define _ROM_H_

#define ANTILUX_MODEL "models/pe_antilux_5.iv"
#define SHAFT_MODEL   "models/sl_schaft_6.iv"
#define BICON_MODEL   "models/bicon_5.iv"
#define FEMUR_MODEL   "models/femur_cut.iv"
#define HIP_MODEL     "models/phantom-hip.iv"

// simple color type 
typedef struct {
   float red;
   float green;
   float blue;

   void set(float r, float g, float b) {
      red = r; green = g; blue = b;
   }
} Color;


#endif // _ROM_H_

